Tìm kiếm hỗ trợ

Cảnh giác với các cuộc tấn công lừa đảo: Mozilla sẽ không bao giờ yêu cầu bạn gọi một số hoặc truy cập trang web không phải của Mozilla. Hãy bỏ qua các yêu cầu như vậy.

Learn More

How can I get .WMV files to play in Firefox 43.0.4 64 bit?

  • 10 trả lời
  • 2 gặp vấn đề này
  • 74 lượt xem
  • Trả lời mới nhất được viết bởi Hyncharas

more options

I can't seem to find a way to get these old .WMV files to play in the 64-bit 43.0.4. Is there a way, or an add-on/plug-in I'm not finding? There is a lot of (aging) content that is missing on some of these pages. Any help would be appreciated.

Thanks,

LR

Tất cả các câu trả lời (10)

more options

¡Hola Larry!

"[...] since new Firefox platforms do not have to support an existing ecosystem of users and plugins, new platforms such as 64-bit Firefox for Windows will launch without plugin support."[1]

Said plugin won't work even when installed.

Let us know if this solves your question.

¡Gracias!

1 https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/

more options

Unfortunately, the Windows Media Player plugin that handles WMV files is not compatible with the 64-bit version of Firefox.

See this Mozilla article for more information:

more options

The 64-bit (Win64) Firefox for Windows only has 64-bit Flash Player and Silverlight plugins white listed to run that is.

The 64-bit Firefox on Mac OSX and Linux do still support all valid 64-bit Plugins.

more options

I appreciate the attempted responses, but in the end, if I am reading them right, the answer is essentially "there is no way for Firefox 64-bit 43.0.3 to play .WMV files in situ, unless it you're running it on a Mac or Linux."

That's a pretty amazing loss of compatibility. I'm sure I'm not the only person that runs into blank boxes where embedded .WMV media is online.

It appeared in one answer that .WMV files should be playing with no plug in at all. This is not the case - Firefox turns the window black and has the plug in symbol inside it, with the comment that a plug in is needed to play this type of media.

Is there any work around, or do we basically need to switch to Chrome or Explorer?

Thanks again,

Larry

more options

The 64-bit of Firefox is still rather new. As time goes on, compatibility will improve. However, the only option at the moment is to switch to the 32-bit version of Firefox.

Sorry for any inconvenience.

more options

Thanks for the assistance all.

more options

Not a matter of compatibility but rather only the 64-bit Flash Player and Silverlight Plugins are white listed to run in Win64 Firefox since Firefox 43.0. Only 64-bit Flash was lite listed in Win64 Firefox 42.0 release.

more options

The other day I updated to Firefox 45 but it caused problems, so I had to complete remove it, and do a clean install of 44 from scratch.

After discovering InteroperabilityBridges no longer exists (this service has been unavailable since Oct 2015), I have managed to download the main plugin elsewhere and install it, but because I can't get the XPI file it won't show up in Firefox's Add-Ons area, so the browser won't detect it anymore. I also don't have the HTML5 Extension.

I am running the 32-Bit version, and Windows Media Foundation and plugins.load_appdir_plugins are set to "true", but it still won't work.

Được chỉnh sửa bởi Hyncharas vào

more options

Hyncharas said

The other day I updated to Firefox 45 but it caused problems, so I had to complete remove it, and do a clean install of 44 from scratch.

¡Hola Hyncharas!

Please do not downgrade your Firefox, by doing so you're making it vulnerable to all these https://www.mozilla.org/en-US/security/known-vulnerabilities/firefox/#firefox45

The best path forward is to reach out to the site and ask them to support HTML5 video.

You might want to flag the site over at https://webcompat.com/

¡Gracias!

more options

Ok, tried to report with webcompat, but the progress indicator just gets stuck in an endless loop.

As for Firefox 45, I have updated to it again but most of the add-ons/plug-ins I have don't work with it.

Được chỉnh sửa bởi Hyncharas vào